"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = {
  archculture: {
    messages: (0, _reactIntl.defineMessages)({
      name: {
        "id": "vocab.concept.archculture.name",
        "defaultMessage": "Archaeological Culture"
      },
      collectionName: {
        "id": "vocab.concept.archculture.collectionName",
        "defaultMessage": "Archaeological Cultures"
      },
      itemName: {
        "id": "vocab.concept.archculture.itemName",
        "defaultMessage": "Archaeological Culture"
      }
    }),
    serviceConfig: {
      servicePath: 'urn:cspace:name(archculture)'
    }
  },
  ethculture: {
    messages: (0, _reactIntl.defineMessages)({
      name: {
        "id": "vocab.concept.ethculture.name",
        "defaultMessage": "Ethnographic Culture"
      },
      collectionName: {
        "id": "vocab.concept.ethculture.collectionName",
        "defaultMessage": "Ethnographic Cultures"
      },
      itemName: {
        "id": "vocab.concept.ethculture.itemName",
        "defaultMessage": "Ethnographic Culture"
      }
    }),
    serviceConfig: {
      servicePath: 'urn:cspace:name(ethculture)'
    }
  },
  ethfilecode: {
    messages: (0, _reactIntl.defineMessages)({
      name: {
        "id": "vocab.concept.ethfilecode.name",
        "defaultMessage": "Ethnographic File Code"
      },
      collectionName: {
        "id": "vocab.concept.ethfilecode.collectionName",
        "defaultMessage": "Ethnographic File Codes"
      },
      itemName: {
        "id": "vocab.concept.ethfilecode.itemName",
        "defaultMessage": "Ethnographic File Code"
      }
    }),
    serviceConfig: {
      servicePath: 'urn:cspace:name(ethfilecode)'
    }
  },
  // TODO: As of cspace 5.2/cspace-ui 3.0.0, nomenclature is in core, so this can eventually be
  // removed from the anthro override. Keeping it in for now, to maintain compatibility with older
  // versions.
  nomenclature: {
    messages: (0, _reactIntl.defineMessages)({
      name: {
        "id": "vocab.concept.nomenclature.name",
        "defaultMessage": "Nomenclature"
      },
      collectionName: {
        "id": "vocab.concept.nomenclature.collectionName",
        "defaultMessage": "Nomenclature Concepts"
      },
      itemName: {
        "id": "vocab.concept.nomenclature.itemName",
        "defaultMessage": "Nomenclature"
      }
    }),
    serviceConfig: {
      servicePath: 'urn:cspace:name(nomenclature)'
    }
  }
};
exports.default = _default;